// This example is from the book _Java in a Nutshell_ by David Flanagan.
// Written by David Flanagan.  Copyright (c) 1996 O'Reilly & Associates.
// You may study, use, modify, and distribute this example for any purpose.
// This example is provided WITHOUT WARRANTY either expressed or implied.

import java.awt.*;
import java.io.*;
// This class is a simple FilenameFilter.  It defines the required accept()
// method to determine whether a specified file should be listed.  A file
// will be listed if its name ends with the specified extension, or if
// it is a directory.
class EndsWithFilter implements FilenameFilter {
    private String extension;  
    public EndsWithFilter(String extension) {
        this.extension = extension;
    }
    public boolean accept(File dir, String name) {
        if (name.endsWith(extension)) return true;
        else return (new File(dir, name)).isDirectory();
    }
}
